Subject: ***SPAM*** 74.539 (5) Ever wanted a GIANT ROD? Click here for one.

From: "Arnel Sosnin" <[email-masked]>
Date: Fri, 1 Feb 2008 21:53:33 +0200

The end to all your frustration lies here - we have the solution to your woes.